DOM::HTMLTableCellElement Class Reference

`#include <html_table.h>`

Inheritance diagram for DOM::HTMLTableCellElement:

## Public Member Functions

| HTMLTableCellElement (const HTMLTableCellElement &other)
| HTMLTableCellElement (const Node &other)
HTMLTableCellElement & | operator= (const HTMLTableCellElement &other)
HTMLTableCellElement & | operator= (const Node &other)
long | cellIndex () const
void | setCellIndex (long)
DOMString | abbr () const
void | setAbbr (const DOMString &)
DOMString | align () const
void | setAlign (const DOMString &)
DOMString | axis () const
void | setAxis (const DOMString &)
DOMString | bgColor () const
void | setBgColor (const DOMString &)
DOMString | ch () const
void | setCh (const DOMString &)
DOMString | chOff () const
void | setChOff (const DOMString &)
long | colSpan () const
void | setColSpan (long)
DOMString | headers () const
void | setHeaders (const DOMString &)
DOMString | height () const
void | setHeight (const DOMString &)
bool | noWrap () const
void | setNoWrap (bool)
long | rowSpan () const
void | setRowSpan (long)
DOMString | scope () const
void | setScope (const DOMString &)
DOMString | vAlign () const
void | setVAlign (const DOMString &)
DOMString | width () const
void | setWidth (const DOMString &)
Public Member Functions inherited from DOM::HTMLElement
| HTMLElement (const HTMLElement &other)
| HTMLElement (const Node &other)
HTMLElement & | operator= (const HTMLElement &other)
HTMLElement & | operator= (const Node &other)
DOMString | id () const
void | setId (const DOMString &)
DOMString | title () const
void | setTitle (const DOMString &)
DOMString | lang () const
void | setLang (const DOMString &)
DOMString | dir () const
void | setDir (const DOMString &)
DOMString | className () const
void | setClassName (const DOMString &)
DOMString | innerHTML () const
void | setInnerHTML (const DOMString &html)
DOMString | innerText () const
void | setInnerText (const DOMString &text)
HTMLCollection | children () const
HTMLCollection | all () const
void | removeCSSProperty (const DOMString &property)
void | addCSSProperty (const DOMString &property, const DOMString &value)
Public Member Functions inherited from DOM::Element
| Element (const Node &other)
| Element (const Element &other)
Element & | operator= (const Node &other)
Element & | operator= (const Element &other)
DOMString | tagName () const
DOMString | getAttribute (const DOMString &name)
void | setAttribute (const DOMString &name, const DOMString &value)
void | removeAttribute (const DOMString &name)
Attr | getAttributeNode (const DOMString &name)
Attr | setAttributeNode (const Attr &newAttr)
Attr | removeAttributeNode (const Attr &oldAttr)
NodeList | getElementsByTagName (const DOMString &name)
NodeList | getElementsByTagNameNS (const DOMString &namespaceURI, const DOMString &localName)
DOMString | getAttributeNS (const DOMString &namespaceURI, const DOMString &localName)
void | setAttributeNS (const DOMString &namespaceURI, const DOMString &qualifiedName, const DOMString &value)
void | removeAttributeNS (const DOMString &namespaceURI, const DOMString &localName)
Attr | getAttributeNodeNS (const DOMString &namespaceURI, const DOMString &localName)
Attr | setAttributeNodeNS (const Attr &newAttr)
bool | hasAttribute (const DOMString &name)
bool | hasAttributeNS (const DOMString &namespaceURI, const DOMString &localName)
CSSStyleDeclaration | style ()
bool | contentEditable () const
void | setContentEditable (bool enabled)
bool | isHTMLElement () const
Element | form () const
Public Member Functions inherited from DOM::Node
| Node (const Node &other)
| Node (NodeImpl *_impl)
Node & | operator= (const Node &other)
bool | operator== (const Node &other) const
bool | operator!= (const Node &other) const
DOMString | nodeName () const
DOMString | nodeValue () const
void | setNodeValue (const DOMString &)
unsigned short | nodeType () const
Node | parentNode () const
NodeList | childNodes () const
Node | firstChild () const
Node | lastChild () const
Node | previousSibling () const
Node | nextSibling () const
NamedNodeMap | attributes () const
Document | ownerDocument () const
Node | insertBefore (const Node &newChild, const Node &refChild)
Node | replaceChild (const Node &newChild, const Node &oldChild)
Node | removeChild (const Node &oldChild)
Node | appendChild (const Node &newChild)
bool | hasChildNodes ()
Node | cloneNode (bool deep)
void | normalize ()
bool | isSupported (const DOMString &feature, const DOMString &version) const
DOMString | namespaceURI () const
DOMString | prefix () const
void | setPrefix (const DOMString &prefix)
DOMString | localName () const
bool | hasAttributes ()
DOMString | textContent () const
void | setTextContent (const DOMString &content) const
void | addEventListener (const DOMString &type, EventListener *listener, const bool useCapture)
void | removeEventListener (const DOMString &type, EventListener *listener, bool useCapture)
bool | dispatchEvent (const Event &evt)
Q_UINT32 | elementId () const
bool | isNull () const
NodeImpl * | handle () const
unsigned long | index () const
QString | toHTML () KDE_DEPRECATED
void | applyChanges ()
void | getCursor (int offset, int &_x, int &_y, int &height) KDE_DEPRECATED
QRect | getRect ()

## Protected Member Functions

| HTMLTableCellElement (HTMLTableCellElementImpl *impl)
Protected Member Functions inherited from DOM::HTMLElement
| HTMLElement (HTMLElementImpl *impl)
void | assignOther (const Node &other, int elementId)
Protected Member Functions inherited from DOM::Element
| Element (ElementImpl *_impl)

## Friends

class | HTMLTableElement

## Additional Inherited Members

Public Types inherited from DOM::Node
enum | NodeType { ELEMENT_NODE = 1, ATTRIBUTE_NODE = 2, TEXT_NODE = 3, CDATA_SECTION_NODE = 4, ENTITY_REFERENCE_NODE = 5, ENTITY_NODE = 6, PROCESSING_INSTRUCTION_NODE = 7, COMMENT_NODE = 8, DOCUMENT_NODE = 9, DOCUMENT_TYPE_NODE = 10, DOCUMENT_FRAGMENT_NODE = 11, NOTATION_NODE = 12 }
Static Public Member Functions inherited from DOM::Element
static bool | khtmlValidAttrName (const DOMString &name)
static bool | khtmlValidPrefix (const DOMString &name)
static bool | khtmlValidQualifiedName (const DOMString &name)
static bool | khtmlMalformedQualifiedName (const DOMString &name)
static bool | khtmlMalformedPrefix (const DOMString &name)
Protected Attributes inherited from DOM::Node
NodeImpl * | impl

## Detailed Description

The object used to represent the `TH` and `TD` elements.

See the TD element definition in HTML 4.0.

Definition at line 91 of file html_table.h.

## Member Function Documentation

DOMString HTMLTableCellElement::abbr | ( |  | ) | const

Abbreviation for header cells.

See the abbr attribute definition in HTML 4.0.

Definition at line 121 of file html_table.cpp.

DOMString HTMLTableCellElement::align | ( |  | ) | const

Horizontal alignment of data in cell.

See the align attribute definition in HTML 4.0.

Definition at line 132 of file html_table.cpp.

DOMString HTMLTableCellElement::axis | ( |  | ) | const

Names group of related headers.

See the axis attribute definition in HTML 4.0.

Definition at line 143 of file html_table.cpp.

DOMString HTMLTableCellElement::bgColor | ( |  | ) | const

Cell background color.

See the bgcolor attribute definition in HTML 4.0. This attribute is deprecated in HTML 4.0.

Definition at line 154 of file html_table.cpp.

long HTMLTableCellElement::cellIndex | ( |  | ) | const

The index of this cell in the row.

Definition at line 110 of file html_table.cpp.

DOMString HTMLTableCellElement::ch | ( |  | ) | const

Alignment character for cells in a column.

See the char attribute definition in HTML 4.0.

Definition at line 165 of file html_table.cpp.

DOMString HTMLTableCellElement::chOff | ( |  | ) | const

Offset of alignment character.

See the charoff attribute definition in HTML 4.0.

Definition at line 176 of file html_table.cpp.

long HTMLTableCellElement::colSpan | ( |  | ) | const

Number of columns spanned by cell.

See the colspan attribute definition in HTML 4.0.

Definition at line 187 of file html_table.cpp.

DOMString HTMLTableCellElement::headers | ( |  | ) | const

List of `id` attribute values for header cells.

See the headers attribute definition in HTML 4.0.

Definition at line 201 of file html_table.cpp.

DOMString HTMLTableCellElement::height | ( |  | ) | const

Cell height.

See the height attribute definition in HTML 4.0. This attribute is deprecated in HTML 4.0.

Definition at line 212 of file html_table.cpp.

bool HTMLTableCellElement::noWrap | ( |  | ) | const

Suppress word wrapping.

See the nowrap attribute definition in HTML 4.0. This attribute is deprecated in HTML 4.0.

Definition at line 223 of file html_table.cpp.

long HTMLTableCellElement::rowSpan | ( |  | ) | const

Number of rows spanned by cell.

See the rowspan attribute definition in HTML 4.0.

Definition at line 235 of file html_table.cpp.

DOMString HTMLTableCellElement::scope | ( |  | ) | const

Scope covered by header cells.

See the scope attribute definition in HTML 4.0.

Definition at line 249 of file html_table.cpp.

void HTMLTableCellElement::setAbbr | ( | const DOMString & | value | ) |

see abbr

Definition at line 127 of file html_table.cpp.

void HTMLTableCellElement::setAlign | ( | const DOMString & | value | ) |

see align

Definition at line 138 of file html_table.cpp.

void HTMLTableCellElement::setAxis | ( | const DOMString & | value | ) |

see axis

Definition at line 149 of file html_table.cpp.

void HTMLTableCellElement::setBgColor | ( | const DOMString & | value | ) |

see bgColor

Definition at line 160 of file html_table.cpp.

void HTMLTableCellElement::setCellIndex | ( | long |  | ) |

see cellIndex

This function is obsolete - the cellIndex property is actually supposed to be read-only (http://www.w3.org/DOM/updates/REC-DOM-Level-1-19981001-errata.html)

Definition at line 116 of file html_table.cpp.

void HTMLTableCellElement::setCh | ( | const DOMString & | value | ) |

see ch

Definition at line 171 of file html_table.cpp.

void HTMLTableCellElement::setChOff | ( | const DOMString & | value | ) |

see chOff

Definition at line 182 of file html_table.cpp.

void HTMLTableCellElement::setColSpan | ( | long | _colSpan | ) |

see colSpan

Definition at line 193 of file html_table.cpp.

void HTMLTableCellElement::setHeaders | ( | const DOMString & | value | ) |

see headers

Definition at line 207 of file html_table.cpp.

void HTMLTableCellElement::setHeight | ( | const DOMString & | value | ) |

see height

Definition at line 218 of file html_table.cpp.

void HTMLTableCellElement::setNoWrap | ( | bool | _noWrap | ) |

see noWrap

Definition at line 229 of file html_table.cpp.

void HTMLTableCellElement::setRowSpan | ( | long | _rowSpan | ) |

see rowSpan

Definition at line 241 of file html_table.cpp.

void HTMLTableCellElement::setScope | ( | const DOMString & | value | ) |

see scope

Definition at line 255 of file html_table.cpp.

void HTMLTableCellElement::setVAlign | ( | const DOMString & | value | ) |

see vAlign

Definition at line 266 of file html_table.cpp.

void HTMLTableCellElement::setWidth | ( | const DOMString & | value | ) |

see width

Definition at line 277 of file html_table.cpp.

DOMString HTMLTableCellElement::vAlign | ( |  | ) | const

Vertical alignment of data in cell.

See the valign attribute definition in HTML 4.0.

Definition at line 260 of file html_table.cpp.

DOMString HTMLTableCellElement::width | ( |  | ) | const

Cell width.

See the width attribute definition in HTML 4.0. This attribute is deprecated in HTML 4.0.

Definition at line 271 of file html_table.cpp.

The documentation for this class was generated from the following files:

- html_table.h
- html_table.cpp

KDE Home | KDE Accessibility Home | Description of Access Keys